## Class TTableItemStyle

Description

TTableItemStyle class.

TTableItemStyle represents the CSS style specific for HTML table item.

- since: 3.0
- version: $Id: TStyle.php 1653 2007-01-25 05:49:22Z wei $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TStyle.php (line 683)

    TComponent
       |
       --TStyle
          |
          --TTableItemStyle

Method Summary
void addAttributesToRender (THtmlWriter $writer)
void copyFrom (TStyle $style)
THorizontalAlign getHorizontalAlign ()
TVerticalAlign getVerticalAlign ()
boolean getWrap ()
void mergeWith (TStyle $style)
void reset ()
void setHorizontalAlign (THorizontalAlign $value)
void setVerticalAlign (TVerticalAlign $value)
void setWrap (boolean $value)
Methods
addAttributesToRender (line 756)

Adds attributes related to CSS styles to renderer.

This method overrides the parent implementation.

- access: public

void addAttributesToRender (THtmlWriter $writer)

- THtmlWriter $writer: the writer used for the rendering purpose

Redefinition of:

TStyle::addAttributesToRender()
  Adds attributes related to CSS styles to renderer.

copyFrom (line 717)

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

- access: public

void copyFrom (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::copyFrom()
  Copies the fields in a new style to this style.

getHorizontalAlign (line 773)

- return: the horizontal alignment of the contents within the table item, defaults to THorizontalAlign::NotSet.
- access: public

THorizontalAlign getHorizontalAlign ()
getVerticalAlign (line 790)

- return: the vertical alignment of the contents within the table item, defaults to TVerticalAlign::NotSet.
- access: public

TVerticalAlign getVerticalAlign ()
getWrap (line 807)

- return: whether the content wraps within the table item. Defaults to true.
- access: public

boolean getWrap ()
mergeWith (line 737)

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

- access: public

void mergeWith (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::mergeWith()
  Merges the style with a new one.

reset (line 703)

Sets the style attributes to default values.

This method overrides the parent implementation by resetting additional TTableItemStyle specific attributes.

- access: public

void reset ()

Redefinition of:

TStyle::reset()
  Resets the style to the original empty state.

setHorizontalAlign (line 782)

Sets the horizontal alignment of the contents within the table item.

- access: public

void setHorizontalAlign (THorizontalAlign $value)

- THorizontalAlign $value: the horizontal alignment

setVerticalAlign (line 799)

Sets the vertical alignment of the contents within the table item.

- access: public

void setVerticalAlign (TVerticalAlign $value)

- TVerticalAlign $value: the horizontal alignment

setWrap (line 816)

Sets the value indicating whether the content wraps within the table item.

- access: public

void setWrap (boolean $value)

- boolean $value: whether the content wraps within the panel.

#### Inherited Methods

Inherited From TStyle

> TStyle::__construct()
> TStyle::addAttributesToRender()
> TStyle::clearStyleField()
> TStyle::copyFrom()
> TStyle::getBackColor()
> TStyle::getBorderColor()
> TStyle::getBorderStyle()
> TStyle::getBorderWidth()
> TStyle::getCssClass()
> TStyle::getCustomStyle()
> TStyle::getDisplayStyle()
> TStyle::getFont()
> TStyle::getForeColor()
> TStyle::getHeight()
> TStyle::getStyleField()
> TStyle::getStyleFields()
> TStyle::getWidth()
> TStyle::hasCssClass()
> TStyle::hasFont()
> TStyle::hasStyleField()
> TStyle::mergeWith()
> TStyle::reset()
> TStyle::setBackColor()
> TStyle::setBorderColor()
> TStyle::setBorderStyle()
> TStyle::setBorderWidth()
> TStyle::setCssClass()
> TStyle::setCustomStyle()
> TStyle::setDisplayStyle()
> TStyle::setForeColor()
> TStyle::setHeight()
> TStyle::setStyleField()
> TStyle::setWidth()
> TStyle::__clone()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:22 -0400 by phpDocumentor 1.3.0RC4